## org.apache.catalina.cluster
Interface MembershipListener

All Known Implementing Classes:
  McastService, SimpleTcpCluster

public interface MembershipListener

The MembershipListener interface is used as a callback to the membership service. It has two methods that will notify the listener when a member has joined the cluster and when a member has disappeared (crashed)

Version:
  $Id: MembershipListener.java 939539 2010-04-30 01:31:33Z kkolinko $
Author:
  Filip Hanik

Method Summary
`void` `memberAdded(Member member)`
`void` `memberDisappeared(Member member)`

Method Detail

### memberAdded

    public void memberAdded(Member member)

### memberDisappeared

    public void memberDisappeared(Member member)

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.